Wallets, tokens & networks

Get Historical Prices

Fetches daily historical OHLCV from CoinMarketCap for a date range.

GEThttps://api.toku.com/tga/get-historical-prices

Required scope: wallets:read

curl --request GET \
  --url 'https://api.toku.com/tga/get-historical-prices?startDate=%3CstartDate%3E&endDate=%3CendDate%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "id": 0,
  "name": "string",
  "symbol": "string",
  "quotes": [
    {
      "time_open": "string",
      "time_close": "string",
      "time_high": "string",
      "time_low": "string",
      "quote": {
        "USD": {
          "open": 0,
          "high": 0,
          "low": 0,
          "close": 0,
          "volume": 0,
          "market_cap": 0,
          "timestamp": "string"
        }
      }
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

cmcIdstring

Allowed: matches ^\d+$

currencySymbolstring

Allowed: 1 to 20 characters, matches ^[A-Za-z0-9_-]+$

startDatestringrequired

NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces it

Allowed: 1 to 100 characters

endDatestringrequired

NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces it

Allowed: 1 to 100 characters

Response

200Successful response
idnumberrequired
namestringrequired
symbolstringrequired
quotesobject[]required
Show child attributes
time_openstringrequired
time_closestringrequired
time_highstringrequired
time_lowstringrequired
quoteobjectrequired
Show child attributes
USDobjectrequired
Show child attributes
opennumberrequired
highnumberrequired
lownumberrequired
closenumberrequired
volumenumberrequired
market_capnumberrequired
timestampstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits